// Copyright (C) 2003 by Robert C. Martin and Micah D. Martin. All rights reserved.
// Released under the terms of the GNU General Public License version 2 or later.
package fitnesse2.http;

import junit.framework.*;
import junit.swingui.TestRunner;

import java.io.*;

public class HttpResponseParserTest extends TestCase
{
	private String response;
	private InputStream input;

	public static void main(String[] args)
	{
		TestRunner.main(new String[]{"HttpResponseParserTest"});
	}

	public void setUp() throws Exception
	{
		response = "HTTP/1.1 200 OK\r\n" +
		  "Content-Type: text/html\r\n" +
		  "Content-Length: 12\r\n" +
		  "Cache-Control: max-age=0\r\n" +
		  "\r\n" +
		  "some content";
		input = new ByteArrayInputStream(response.getBytes());
	}

	public void tearDown() throws Exception
	{
	}

	public void testParsing() throws Exception
	{
		HttpResponseParser parser = new HttpResponseParser(input);
		assertEquals(200, parser.getStatus());
		assertEquals("text/html", parser.getHeader("Content-Type"));
		assertEquals("some content", parser.getBody());
	}
}
