// Copyright (C) 2003 by Robert C. Martin and Micah D. Martin. All rights reserved.
// Released under the terms of the GNU General Public License version 2 or later.
package fitnesse2.http;

public class MockHttpRequest extends HttpRequest
{
	private Exception parseException = null;

	public MockHttpRequest()
	{
		resource = "";
	}

	public void setRequestUri(String value)
	{
		requestURI = value;
	}

	public void setRequestLine(String value)
	{
		requestLine = value;
	}

	public void setResource(String value)
	{
		resource = value;
	}

	public void setBody(String value)
	{
		entityBody = value;
	}

	public void addInput(String key, Object value)
	{
		inputs.put(key, value);
	}

	public void addHeader(String key, Object value)
	{
		headers.put(key.toLowerCase(), value);
	}

	public void throwExceptionOnParse(Exception e)
	{
		parseException = e;
	}

	public void parse() throws Exception
	{
		if(parseException != null)
		{
			throw parseException;
		}
	}
}
