package fitnesse2.responders;

import fitnesse2.Responder;
import fitnesse2.http.HttpRequest;
import xpcinci.responders.*;

public class ResponderFactory {
	private String filePath;

	public ResponderFactory(String filePath) {
		this.filePath = filePath;
	}

	public Responder makeResponder(HttpRequest request) {

		if (!request.getResource().equalsIgnoreCase("ECal"))
			return new NotFoundResponder();

		Responder responder;
		try {
			if (request.hasInput(ARGS.COMMAND))
				responder = makeECalResponder(request);
			else
				responder = new FrontPageResponder();
		} catch (Exception e) {
			responder = new ErrorResponder(e);
		}

		return responder;
	}

	private Responder makeECalResponder(HttpRequest request) throws Exception {
		String command =
			(String) request.getInput(ARGS.COMMAND);
		return ResponderLoader.load(command);
	}
}
