package xpcinci.domain;

import java.util.*;
import junit.framework.*;

public class DayTest extends TestCase {

	public void testInt() throws Exception {
		Day day = new Day(20010104);
		Day expected = new Day("04Jan2001");
		assertEquals(expected,day);
	}

	public void testToString() throws Exception {
		Day day = new Day(20010104);
		assertEquals("04Jan2001",day.toString());
	}

	public void testFromString() throws Exception {
		Day day = new Day("04Jan2001");
		assertEquals("04Jan2001",day.toString());
	}
	
	public void testFromDate() throws Exception {
		GregorianCalendar cal = (GregorianCalendar)Calendar.getInstance();
		cal.set(GregorianCalendar.YEAR,2004);
		cal.set(GregorianCalendar.DAY_OF_MONTH,01);
		cal.set(GregorianCalendar.MONTH,0);
		Date date = cal.getTime();
		Day actual = new Day(date);
		assertEquals("01Jan2004",actual.toString());
	}

	public void testTommorrow() throws Exception {
		Day day = new Day("04Jan2001");
		assertEquals("05Jan2001",day.tommorow().toString());
	}

	public void testTommorrow2() throws Exception {
		Day day = new Day("31Dec2001");
		assertEquals("01Jan2002",day.tommorow().toString());
	}

	public void testEquals() throws Exception {
		Day day = new Day("31Dec2001");
		Day day2 = new Day("31Dec2001");
		assertEquals(day,day2);
	}

	public void testNotEquals() throws Exception {
		Day day = new Day("31Dec2001");
		Day day2 = new Day("01Dec2001");
		assertTrue(!day.equals(day2));
	}

	public void testInts() throws Exception {
		Day day = new Day(2001,04,01);
		assertEquals(new Day("01Apr2001"),day);
	}
	
	
//	public void testBadParse()  {
//		try {
//			new Day("saasdadevvw");
//		} catch (ParseException e) {
//			// passes
//		}
//		fail("should throw exception");
//	}
	
	
}
