package xpcinci.render;

import java.util.*;
import java.util.HashMap;
import java.util.Map;
import xpcinci.domain.*;
import xpcinci.responders.*;

public class RenderCalendar {
	Map map = new HashMap();
	StringBuffer cal;
	Schedule current;
	int displayLine =0;
	Week renderWeek = null;

	public RenderCalendar() {
		cal = new StringBuffer();
	}

	private final String[] monthNames =
		{
			"January",
			"February",
			"March",
			"April",
			"May",
			"June",
			"July",
			"August",
			"September",
			"October",
			"November",
			"December" };
	
    public Map using(Schedule current) {
		this.current = current;
		renderWeek(current.week01());
		renderWeek(current.week02());
		renderWeek(current.week03());
		renderWeek(current.week04());
		map.put(RESULTS.CALENDAR, cal.toString());
		map.put(RESULTS.MONTHNAME, titleMonthName());
		return map;
	}

	String titleMonthName() {
		int beginMonth = current.week01().getMonthOfSunday();
		int endMonth = current.week04().getMonthOfSaturday();
		String result = monthNames[beginMonth];
		if (beginMonth != endMonth) {
			result +=  "/" + monthNames[endMonth];
		}
		return result;
	}

	void renderWeek(Week week) {
		displayLine++;
		renderWeek = week;
		Iterator ddays = week.days();
		cal.append("<tr>");
		while (ddays.hasNext()) {
			renderDay( (Day) ddays.next());
		}
		cal.append("</tr>\n");
	}

	void renderDay(Day aDay) {
		cal.append(
			"<td>"
				+ "<a "
				+ href(aDay)
				+ name(aDay.dayOfWeek())
				+ ">"
				+ aDay.dayOfMonth()
				+ "</a></td>");
	}

	String name(int dayOfWeek) {
		return "name=\"cell_" + displayLine + dayOfWeek + "\"";
	}

	String href(Day aDay) {
		return "href=\"ECal?cur="
			+ aDay.year()
			+ aDay.weekOfYearAsString()
			+ "0"
			+ aDay.dayOfWeek()
			+ "&cmd=day\" ";
	}
}
