package xpcinci.responders;

import fitnesse2.*;
import junit.framework.*;

public class ResponderLoaderTest extends TestCase {

	ResponderLoader loader;

	protected void setUp() throws Exception {
		super.setUp();
		loader = new ResponderLoader();
	}

	public ResponderLoaderTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.swingui.TestRunner.run(ResponderLoaderTest.class);
	}

	public void testNotFound() {
		Responder resp = loader.getCommand("NotFound");
		assertEquals(NotFoundResponder.class, resp.getClass());
	}

	public void testCapitalize() {
		assertEquals("Display", loader.cap("display"));
	}

	public void testNullCapitalize() {
		assertEquals("", loader.cap(null));
	}

	public void testOneLowCase() {
		Responder resp = loader.getCommand("notFound");
		assertEquals(NotFoundResponder.class, resp.getClass());
	}
	
	public void testBadCommandResponse() {
		Responder resp = loader.getCommand("neverImplementThisCommand");
		assertEquals(BadCommandResponder.class, resp.getClass());		
		assertEquals("neverImplementThisCommand", 
				((BadCommandResponder)resp).command);
	}

	public void testNavigationResponder() {
		Responder resp = loader.getCommand("display");
		assertEquals(DisplayResponder.class, resp.getClass());
	}
}
