package xpcinci.template;

import java.io.*;

import junit.framework.*;

public class EnvironmentTest extends TestCase {

	public EnvironmentTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.swingui.TestRunner.run(EnvironmentTest.class);
	}

	public void testGetApplPath() {
		Environment env = new Environment() {
			protected InputStream loadResource() {
				return new StringBufferInputStream("appl.path=C:\\\\ECAL");
			} // end inner-class
		};
		assertEquals("C:\\ECAL", env.getApplPath());
	}

	public void testApplPathNotFound() {
		Environment env = new Environment() {
			protected InputStream loadResource() {
				return new StringBufferInputStream("");
			} // end inner-class
		};
		try {
			env.getProperty("not.real");
			fail("should throw");
		} catch (RuntimeException x) {
			assertEquals(
				"Environment() property not found: not.real",
				x.getMessage());
		}
	}

	public void testApplPath() {
		assertNotNull(
			"Did you forget to edit: scripts/ecal.Properties.txt, and run ant",
			Environment.applPath());
	}

	public void testNotFound() {
		Environment env = new Environment() {
			protected InputStream loadResource() {
				return null;
			}
		}; // end inner-class

		try {
			env.getApplPath();
			fail("should throw exception");
		} catch (RuntimeException x) {
			assertEquals("Can't Find: classes/ecal.properties", x.getMessage());
		}
	}
}
