package xpcinci.template;

import java.io.*;
import java.util.*;

import junit.framework.*;

public class TemplateTest extends TestCase {

	public TemplateTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.swingui.TestRunner.run(TemplateTest.class);
	}

	public void testApplPath() throws IOException {
		Template t = new Template();
		File page = t.loadTemplate("frontPage.txt");
		assertTrue(
			"CHECK appl.path in scripts/ecal.properties, and RUN ant",
			page.exists());
	}

	public void testRunZero() throws IOException {
		Template t = new Template("notused", new HashMap());
		t.raw = "1234456";
		t.run();
		assertEquals("1234456", t.filtered);
	}

	public void testRunOne() throws IOException {

		Map map = new HashMap();
		map.put("name", "mark");

		Template t = new Template("notused", map);
		t.raw = "1234<%name%>456";
		t.run();
		assertEquals("1234mark456", t.filtered);
	}

	public void testRunTwo() throws IOException {

		Map map = new HashMap();
		map.put("name", "mark");
		map.put("location", "ohio");

		Template t = new Template("notused", map);
		t.raw = "1234<%name%>456<%location%>789";
		t.run();
		assertEquals("1234mark456ohio789", t.filtered);
	}

	public void testDefaultHtml() throws Exception {
		String actual = Template.defaultHtml("notFound");
		assertTrue(actual.indexOf("notFound") > 0);
		assertTrue(
			actual.indexOf(
				"classes/ecal.properties file should contain path to root")
				> 0);
	}

}
